> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/entities/deal/switch-deal-template.md).

# Switch deal template

## Switch deal template

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/deal/:id/switch-template`

This endpoint allows you to change the template of an deal.

#### Path Parameters

| Name                                 | Type   | Description                               |
| ------------------------------------ | ------ | ----------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the deal to switch the template of. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                                                  | Type    | Description                               |
| ----------------------------------------------------- | ------- | ----------------------------------------- |
| id<mark style="color:red;">\*</mark>                  | string  | ID of the deal to switch the template of. |
| newTemplateId<mark style="color:red;">\*</mark>       | string  | The ID of the new template.               |
| title                                                 | string  | Title of the record.                      |
| template.templateId<mark style="color:red;">\*</mark> | string  | The current template ID.                  |
| copyParties                                           | boolean | Set to false to discrd all parties.       |

{% tabs %}
{% tab title="200 Template switched. Returns template switch object." %}

```json
{
    "id": 1,
    "relationshipsNotMigrated": {
        "parties": [],
        "associations": {}
    },
    "characteristicsNotMigrated": [],
    "characteristicsRequiredOnNewTemplate": []
}
```

{% endtab %}
{% endtabs %}

## Check the new template before switching

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/deal/:id/switch-template-check`

This endpoint allows you to check what will happen to a record before switching the template.

#### Path Parameters

| Name | Type   | Description                               |
| ---- | ------ | ----------------------------------------- |
| id   | string | ID of the deal to switch the template of. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                               |
| ------------------- | ------ | ----------------------------------------- |
| id                  | string | ID of the deal to switch the template of. |
| newTemplateId       | string | The ID of the new template.               |
| title               | string | Title of the record.                      |
| template.templateId | string | The current template ID.                  |

{% tabs %}
{% tab title="200 Returns template check object." %}

```json
{
   "relationshipsNotMigrated": {
        "parties": [],
        "associations": {}
    },
    "characteristicsNotMigrated": [],
    "characteristicsRequiredOnNewTemplate": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/deal/switch-deal-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
